Developers
API ReferenceAssigned Board User

Assign user to board

PATCH
/project/boards/{boardId}/assigned-board-users/{userId}

Assign user to board

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

boardId*string

Board identifier

userId*string

Project user identifier

Request Body

The updated AssignedBoardUser resource

  1. body
role?string
Value in"none""leader-active"

Response Body

AssignedBoardUser resource updated

  1. response
id?string
Formatuuid
projectUser?
board?string
Formatuuid
role?string
Default"none"
Value in"none""leader-active"
Example Request
curl -X PATCH 'https://app.icproject.com/api/instance/demo/project/boards/string/assigned-board-users/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "projectUser": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "shortCode": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "pictureLg": "string",    "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7",    "contractorName": "string",    "canLogIn": true,    "phoneNumber": "string",    "jobPositionName": "string",    "hourlyRate": null,    "isExternal": true,    "decorator": "string"  },  "board": "a98884d6-3c76-4114-ba9c-216527a5aac1",  "role": "none"}